%%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a %%a 
cls
@ECHO OFF&PUSHD %~DP0 &TITLE Yy语音绿化 52破解：yuehuna
mode con cols=48 lines=22
:Menu
Cls
@ echo.  
@ echo.  选项：
@ echo.     
@ echo.   1.绿化[必须执行]
@ echo.     
@ echo.   2.创建桌面图标
@ echo.  
@ echo.   3.清除旧版本残留文件
@ echo.  
@ echo.  
@ echo.   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ echo.   @   上列三个菜单更新版本时无需重复运行   @
@ echo.   @   电脑没有做系统，一次绿化一直可以用   @
@ echo.   @                                        @
@ echo.   @     如果之前使用过官方或别的绿化版     @
@ echo.   @       请先执行3选项清除残留文件        @
@ echo.   @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ echo.      
set /p xj= 输入数字选项按回车：
if /i "%xj%"=="1" Goto Install
if /i "%xj%"=="2" Goto Icon
if /i "%xj%"=="3" Goto Uninstall
@ echo.
echo  选择无效，请重新输入
ping -n 3 127.1>nul
goto menu

:Install
md "%AppData%\duowan\yy\business" 2>nul
md "%AppData%\duowan\yy\yycomstore\2052" 2>nul
md "%AppData%\duowan\yy\openplatform\addons\platform" 2>nul

echo. >"%AppData%\0F01352E-94DF-4A62-B30E-A19806922546" 2>nul
echo. >"%AppData%\B4F9E660-3974-4E79-8450-C37D99502759" 2>nul

echo. >"%AppData%\duowan\yygame" 2>nul
echo. >"%AppData%\duowan\yygame5" 2>nul
echo. >"%AppData%\duowan\gamebox" 2>nul
echo. >"%AppData%\duowan\YYExplorer" 2>nul
echo. >"%AppData%\duowan\yyedownloader" 2>nul
echo. >"%AppData%\duowan\yygamestore" 2>nul
echo. >"%AppData%\duowan\phonetreasure" 2>nul

echo. >"%AppData%\duowan\yy\setup" 2>nul
echo. >"%AppData%\duowan\yy\update" 2>nul
echo. >"%AppData%\duowan\yy\yyapkinst" 2>nul

echo. >"%AppData%\duowan\yy\business\gameproxy" 2>nul
echo. >"%AppData%\duowan\yy\business\gamesmilies" 2>nul

echo. >"%AppData%\duowan\yy\openplatform\aggame" 2>nul
echo. >"%AppData%\duowan\yy\openplatform\addons\platform\20011" 2>nul

echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhushow" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.friendassist" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.grouplistbanner" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.kefu" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.pcentroom" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" 2>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" 2>nul

echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" 2>nul>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" 2>nul>nul
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.zhiniuassist" 2>nul>nul



attrib +r "%AppData%\0F01352E-94DF-4A62-B30E-A19806922546" >nul 2>nul
attrib +r "%AppData%\B4F9E660-3974-4E79-8450-C37D99502759" >nul 2>nul
attrib +r "%AppData%\duowan\phonetreasure" 2>nul
attrib +r "%AppData%\duowan\yy\setup">nul 2>nul
attrib +r "%AppData%\duowan\yy\update">nul 2>nul
attrib +r "%AppData%\duowan\yygame">nul 2>nul
attrib +r "%AppData%\duowan\yygame5">nul 2>nul
attrib +r "%AppData%\duowan\gamebox">nul 2>nul
attrib +r "%AppData%\duowan\yy\business">nul 2>nul
attrib +r "%AppData%\duowan\yy\yyapkinst">nul 2>nul
attrib +r "%AppData%\duowan\yygamestore">nul 2>nul
attrib +r "%AppData%\duowan\yyedownloader">nul 2>nul
attrib +r "%AppData%\duowan\yy\cache\wonderworld" >nul 2>nul
attrib +r "%AppData%\duowan\yy\cache\download\constancy">nul 2>nul
attrib +r "%AppData%\duowan\yyedownloader">nul 2>nul
attrib +r "%AppData%\duowan\yy\business\gameproxy" >nul 2>nul
attrib +r "%AppData%\duowan\yy\business\gamesmilies" >nul 2>nul
attrib +r "%AppData%\duowan\yy\openplatform\aggame" >nul 2>nul
attrib +r "%AppData%\duowan\yy\openplatform\addons\platform\20011" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apppush" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper">nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.bzAssistant">nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamestore" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannel" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamechannelbaby" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamenotify" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamesmilies" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamewakuang" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gameproxy" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.kuaikuai" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.yycgame" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.kefu" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhushow" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamecard" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.gamelivecard" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.garbagecleaner" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.phonetreasure" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.logingiftbag" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.dianhuservice" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.zhiniuassist" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.pcentroom" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.grouplistbanner" >nul 2>nul
attrib +r "%AppData%\duowan\yy\yycomstore\2052\com.yy.friendassist" >nul 2>nul
@ echo.
echo.
echo  绿化成功
ping -n 3 127.1>nul
goto menu

:Icon
:: 创建桌面图标
@ echo.
ping -n 2 127.1>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\YY语音.lnk""):b.TargetPath=""%~dp0YY.exe"":b.WorkingDirectory=""%~dp0Bin"":b.Save:close")
@ echo.
echo  桌面图标创建成功
ping -n 3 127.1>nul
goto menu

:Uninstall
taskkill /f /im YY* >nul 2>nul
taskkill /f /im Ilc* >nul 2>nul
taskkill /f /im adb.exe >nul 2>nul
@ echo.
del /f/s/q "%AppData%\0F01352E-94DF-4A62-B30E-A19806922546" >nul 2>nul
del /f/s/q "%AppData%\B4F9E660-3974-4E79-8450-C37D99502759" >nul 2>nul

rd /s /q "%CommonProgramFiles%\duowan"2>nul
rd /s /q "%CommonProgramFiles(x86)%\duowan"2>nul
del /f/s/q "%AppData%\duowan\*" >nul 2>nul
rd/s/q "%AppData%\duowan"2>nul
ping 127.0.0.1 /n 5 >nul 2>nul
rd/s/q "%AppData%\duowan"2>nul
reg delete  HKCU\Software\duowan /f>nul 2>nul
@ echo.
echo  清除数据成功
ping -n 3 127.1>nul
goto menu